// nc-input/nc-span.js

// src/components/nc-input/nc-span.vue

export default {
	render: render,
	name: 'NcSpan',
	props: {
		style: {
			type: [String, Object],
			default: undefined
		}
	}
}

// render code
import { renderSlot as _renderSlot, normalizeStyle as _normalizeStyle, openBlock as _openBlock, createElementBlock as _createElementBlock } from '../../vuelib.js'

export function render(_ctx, _cache) {
	return (
		_openBlock(),
		_createElementBlock(
			'span',
			{
				class: 'nc-span',
				style: _normalizeStyle(_ctx.style)
			},
			[_renderSlot(_ctx.$slots, 'default')],
			4 /* STYLE */
		)
	)
}
